Opened 10 years ago

Closed 8 years ago

#254 closed new feature (wontfix)

platform PT update

Reported by: steinwinde Owned by:
Priority: major Milestone: Rox Framework, Upgrade
Component: FrameWork Keywords: platformPT platform framework version
Cc:

Description

Updating platform PT code inside BW (more precisely: Rox) to "2007-08-04 - version 0.2RC5"

Change History (9)

comment:1 Changed 10 years ago by steinwinde

  • follow_up changed from none to test

See r3512 and branches/development.platformPT-update.2007-12-15. This is a version of trunk, ready to be moved to trunk after tests.

comment:2 Changed 9 years ago by micha

  • Milestone changed from 0.1.1-outreach-bugfixing to 0.1.2 - more improvements & bugfixing

Looks good already. I tested the branch - although not properly. What parts could be affected and should thus be tested?

comment:3 Changed 9 years ago by micha

I figured out by testing that following scheme by detailed logging:

2008-01-16T02:53:01+01:00|2130706433|0||Logout from doLogin
2008-01-16T02:53:01+01:00|2130706433|0|Login| MOD_log::get Successful login with <b>Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11</b>
2008-01-16T02:53:01+01:00|2130706433|0||Starting BW Session Setup
2008-01-16T02:53:01+01:00|2130706433|1||updating user
2008-01-16T02:53:02+01:00|2130706433|1||Logout from doLogin
2008-01-16T02:53:02+01:00|2130706433|1|Login|Logout
2008-01-16T02:53:02+01:00|2130706433|0||Empty handle
2008-01-16T02:53:02+01:00|2130706433|0||Logout from doLogin
2008-01-16T02:53:02+01:00|2130706433|0||Empty handle

You see the "successfull" login there. Afterwards, the function 'doLogin' is called again, the TB-user(?) is logged out and the "setupBWsession" starts, then the user gets updated. Afterwards, the function is called again and the user logged out again etc. The empty-handle seems to be the real problem here. I can send you my "log-modded" bwauth.lib.php, if you want, Felix!

comment:4 Changed 9 years ago by steinwinde

  • Owner steinwinde deleted

comment:5 Changed 9 years ago by steinwinde

  • follow_up changed from test to none
  • Owner set to steinwinde

comment:6 Changed 9 years ago by steinwinde

  • Owner steinwinde deleted

comment:7 Changed 9 years ago by philipp

  • freq_reported set to 1
  • Milestone changed from 0.1.4 - improving userinterface for members and volunteers and start work on big 0.2 tasks to 0.2 - community
  • show_on_bw set to 0

comment:8 Changed 9 years ago by lemon-head

  • Milestone changed from 0.2 - community to Rox Framework, Upgrade

comment:9 Changed 8 years ago by micha

  • Resolution set to wontfix
  • Status changed from new to closed

I think that won't fix. Our framework evolved without the PT update..

Note: See TracTickets for help on using tickets.